#!/usr/bin/perl
use strict;

#chr1    1250957 G       116     >.AA....AA.AA...........aaaaaaaaaaaaaaaaaaaa.aaaaaaaaaaaaaaa...AAA.AA.....A.A.AAAAAAAAAAAAAAAAAAaaaaaaaaaa.....^~.^~.^~.^~.^~. EH99H#DF#9E=9<FDHEHHHBHFHHHHHH<HHFHH5HHHH-HHHGH5HHFHHHHHGAFH##HHGHBEHHIHGHHH0GEHHFHHHH>4HHHHHDA?EHHEHHGH@GFHHHHHHEHH

while (<>) {
 chomp;

 /^(\S+)\t(\d+)\t(\S)\t(\d+)\t(\S+)\t(\S+)$/ or die "illegal line. $_"; 
 my ($chrom,$pos,$ref,$numreads,$letters,$quals) = ($1,$2,$3,$4,$5,$6);

 if (!/<>/) { print $_ . "\n"; next; }

 my $numinserts = ($letters =~ tr/<>//);
 my $numletters = length($letters);
 my $numquals = length($quals);

 next if ($numinserts == $numreads);

# quick and imprecise, but we don't need the qualities later
 $numreads -= $numinserts;
 $letters =~ s/[<>]//g;
 print "$chrom\t$pos\t$ref\t$numreads\t" .
#        substr($letters,$numinserts,$numletters-$numinserts,"") . "\t" .
         $letters . "\t" .
         substr($quals,$numinserts,$numquals-$numinserts,"") . "\n";
}
